package a3test.sound;

import jp.sourceforge.acerola3d.a3.*;

public class ConeSoundTest {
    public static void main(String args[]) throws Exception {
        //System.setProperty("j3d.audiodevice","com.sun.j3d.audioengines.javasound.JavaSoundMixer");
        //System.setProperty("acerola3d.action3d.sound","JOAL_DIRECT");
        A3Window w = new A3Window(300,300);
        w.setNavigationMode(A3CanvasInterface.NaviMode.EXAMINE);
        //w.setNavigationMode(A3CanvasInterface.NaviMode.EDIT);
        Action3D a3 = new Action3D("x-res:///dog_cat.a3");
        a3.change("spin");
        a3.change("cone");
        w.add(a3);
        /*
        double t = 0.0;
        while (true) {
            t = t - 0.03;
            a3.setRot(0.0,t,0.0);
            try{Thread.sleep(100);}catch(Exception e){;}
        }
        */
    }
}
